## amberol 2025.1

=== meson_options.txt ===
# SPDX-FileCopyrightText: 2022  Emmanuele Bassi
# SPDX-License-Identifier: GPL-3.0-or-later

option (
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
)

## amberol 0.9.1

=== debian/changelog ===
amberol (0.9.1-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sat, 10 Sep 2022 11:13:33 +0000

=== debian/control ===
Source: amberol
Section: Multimedia
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: rustc, ninja-build, meson (>= 0.59.0), libgtk-4-dev (>= 4.6.0), libadwaita-1-dev, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libgstreamer-plugins-bad1.0-dev, reuse
Standards-Version: 3.9.6
Homepage: https://gitlab.gnome.org/World/amberol

Package: amberol
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Amberol
 A small and simple sound and music player that is well integrated with GNOME.

=== debian/rules ===
#!/usr/bin/make -f

#export LC_ALL=C.UTF-8
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	meson build --buildtype=release \
	--prefix='/usr'
	meson compile -C build

override_dh_auto_install:
	meson install -C build --destdir ${CURDIR}/debian/amberol

## amberol 0.10.3

=== debian/changelog ===
amberol (0.10.3-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Cherry-pick many commits with build & bug fixes (Closes: #1071871)
  * Update Build-Depends
  * Use team standard debian/gbp.conf
  * Update Standards Version to 4.7.0

  [ Arnaud Ferraris ]
  * d/watch: fix after GitLab changes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Aug 2024 17:47:45 -0400

amberol (0.10.3-3) unstable; urgency=medium

  * debian: update build dependencies.
    Some Rust crates such as `lofty` and `mpris-server` are being updated in
    Debian, so let's reflect that in both our patches and `d/control`.
    (Closes: #1064531)
  * d/gbp.conf: change default `dch` commit message

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 19 Apr 2024 11:36:42 +0200

amberol (0.10.3-2) unstable; urgency=medium

  * d/control: depend on `gstreamer1.0-plugins-good`
    This package contain the needed GStreamer audio codec plugins, which are
    needed for Amberol to be of any use.

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 06 Jan 2024 12:12:15 +0100

amberol (0.10.3-1) unstable; urgency=medium

  * Initial Debian packaging (Closes: #1056965)

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 28 Nov 2023 13:39:09 +0100

=== debian/control ===
Source: amberol
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
Build-Depends:
 cargo,
 debhelper-compat (= 13),
 desktop-file-utils,
 libadwaita-1-dev (>= 1.2),
 libgstreamer1.0-dev (>= 1.20),
 libgstreamer-plugins-bad1.0-dev (>= 1.20),
 libgstreamer-plugins-base1.0-dev (>= 1.20),
 libgtk-4-dev (>= 4.10),
 librust-ashpd-0.8+gtk4-dev,
 librust-color-thief-0.2-dev,
 librust-fuzzy-matcher-0.3-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gstreamer-audio-0.22-dev,
 librust-gstreamer-play-0.22-dev,
 librust-gdk-pixbuf-0.19+v2-42-dev,
 librust-gtk4-0.8+v4-10-dev,
 librust-libadwaita-0.6+v1-4-dev,
 librust-lofty-0.18-dev,
 librust-log-0.4-dev,
 librust-mpris-server-0.8-dev,
 librust-pretty-env-logger-0.5-dev,
 librust-once-cell-1-dev,
 librust-rand-0.8-dev,
 librust-regex-1-dev,
 librust-serde-json-1-dev,
 librust-sha2-0.10-dev,
 meson,
 rustc,
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/World/amberol
Vcs-Browser: https://salsa.debian.org/gnome-team/amberol
Vcs-Git: https://salsa.debian.org/gnome-team/amberol.git
Rules-Requires-Root: no

Package: amberol
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gstreamer1.0-plugins-good,
Description: Small and simple music player for GNOME
 Amberol is a music player aspiring to be as small, unintrusive, and simple as
 possible. It does not manage music collections, nor does it let you manage
 playlists, edit song metadata, show song lyrics or the band's Wikipedia page.
 Amberol plays music, and nothing else.
 .
 It is well integrated into GNOME and features an adaptive UI for use on mobile
 devices.

=== debian/watch ===
version=4
opts="searchmode=plain,pgpmode=auto" \
https://gitlab.gnome.org/World/@PACKAGE@/-/tags?sort=updated_desc \
	/World/@PACKAGE@/-/archive/[\d\.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## amberol 2024.1

=== debian/changelog ===
amberol (2024.1-1) unstable; urgency=medium

  * New upstream release
  * d/watch: do not check PGP signature
    Upstream doesn't bother with signing tags/releases anyway.
  * d/patches: update for new upstream release.
    This drops all cherry-picked patches and rebases the feature patches.
  * d/control: update build-deps for new upstream release
  * d/copyright: update for new upstream release

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 27 Sep 2024 10:26:15 +0200

amberol (0.10.3-5) unstable; urgency=medium

  * Team upload
  * d/control: Build against gtk-rs 0.9 (Closes: #1081897)
  * Add cherry-picked upstream patch to build with gtk-rs 0.9

 -- Matthias Geiger <werdahias@debian.org>  Fri, 20 Sep 2024 23:16:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,24 @@
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends:
  cargo,
+ appstream,
  debhelper-compat (= 13),
  desktop-file-utils,
- libadwaita-1-dev (>= 1.2),
+ libadwaita-1-dev (>= 1.5),
  libgstreamer1.0-dev (>= 1.20),
  libgstreamer-plugins-bad1.0-dev (>= 1.20),
  libgstreamer-plugins-base1.0-dev (>= 1.20),
- libgtk-4-dev (>= 4.10),
- librust-ashpd-0.8+gtk4-dev,
+ libgtk-4-dev (>= 4.13.4),
+ librust-ashpd-0.9+gtk4-dev,
  librust-color-thief-0.2-dev,
  librust-fuzzy-matcher-0.3-dev,
  librust-gettext-rs-0.7+gettext-system-dev,
- librust-gstreamer-audio-0.22-dev,
- librust-gstreamer-play-0.22-dev,
- librust-gdk-pixbuf-0.19+v2-42-dev,
- librust-gtk4-0.8+v4-10-dev,
- librust-libadwaita-0.6+v1-4-dev,
- librust-lofty-0.18-dev,
+ librust-gstreamer-audio-0.23-dev,
+ librust-gstreamer-play-0.23-dev,
+ librust-gdk-pixbuf-0.20+v2-42-dev,
+ librust-gtk4-0.9+v4-10-dev,
+ librust-libadwaita-0.7+v1-4-dev,
+ librust-lofty-0.21-dev,
  librust-log-0.4-dev,
  librust-mpris-server-0.8-dev,
  librust-pretty-env-logger-0.5-dev,

## amberol 2024.2

=== debian/changelog ===
amberol (2024.2-4) unstable; urgency=medium

  * Team upload
  * d/patches, d/control: Build with asphd 0.11
  * Bump S-V to 4.7.2; no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Mon, 03 Mar 2025 21:25:57 +0100

amberol (2024.2-3) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * d/rules: use the cargo wrapper and disable LTO on 32-bits architectures
  * d/patches: fix build with cargo wrapper
  * d/salsa-ci: disable reprotest

  [ Matthias Geiger ]
  * Team upload
  * Add patch to build with ashpd 0.10
  * d/control: Update build-dependencies with debcargo

 -- Matthias Geiger <werdahias@debian.org>  Mon, 17 Feb 2025 19:54:29 +0100

amberol (2024.2-2) unstable; urgency=medium

  * debian: build using the latest version of lofty

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 07 Feb 2025 14:02:08 +0100

amberol (2024.2-1) unstable; urgency=medium

  * New upstream release
  * d/patches: drop upstreamed patches

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 28 Oct 2024 10:00:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends:
- cargo,
  appstream,
  debhelper-compat (= 13),
  desktop-file-utils,
@@ -13,27 +12,37 @@
  libgstreamer-plugins-bad1.0-dev (>= 1.20),
  libgstreamer-plugins-base1.0-dev (>= 1.20),
  libgtk-4-dev (>= 4.13.4),
- librust-ashpd-0.9+gtk4-dev,
- librust-color-thief-0.2-dev,
- librust-fuzzy-matcher-0.3-dev,
+ meson,
+ cargo:native,
+ rustc:native,
+ libstd-rust-dev,
+ librust-ashpd-0.11+default-dev,
+ librust-ashpd-0.11+gtk4-dev,
+ librust-async-channel-2+default-dev (>= 2.2.0-~~),
+ librust-color-thief-0.2+default-dev (>= 0.2.1-~~),
+ librust-futures-0.3+default-dev,
+ librust-fuzzy-matcher-0.3+default-dev (>= 0.3.7-~~),
+ librust-gdk-pixbuf-0.20+default-dev,
+ librust-gdk-pixbuf-0.20+v2-42-dev,
+ librust-gettext-rs-0.7+default-dev,
  librust-gettext-rs-0.7+gettext-system-dev,
- librust-gstreamer-audio-0.23-dev,
- librust-gstreamer-play-0.23-dev,
- librust-gdk-pixbuf-0.20+v2-42-dev,
- librust-gtk4-0.9+v4-10-dev,
- librust-libadwaita-0.7+v1-4-dev,
- librust-lofty-0.21-dev,
- librust-log-0.4-dev,
- librust-mpris-server-0.8-dev,
- librust-pretty-env-logger-0.5-dev,
- librust-once-cell-1-dev,
- librust-rand-0.8-dev,
- librust-regex-1-dev,
- librust-serde-json-1-dev,
- librust-sha2-0.10-dev,
- meson,
- rustc,
-Standards-Version: 4.7.0
+ librust-gstreamer-0.23+default-dev,
+ librust-gstreamer-audio-0.23+default-dev,
+ librust-gstreamer-play-0.23+default-dev,
+ librust-gtk4-0.9+default-dev,
+ librust-gtk4-0.9+v4-14-dev,
+ librust-libadwaita-0.7+default-dev,
+ librust-libadwaita-0.7+v1-5-dev,
+ librust-lofty-0.22+default-dev,
+ librust-log-0.4+default-dev,
+ librust-mpris-server-0.8+default-dev,
+ librust-once-cell-1+default-dev (>= 1.10-~~),
+ librust-pretty-env-logger-0.5+default-dev,
+ librust-rand-0.8+default-dev (>= 0.8.5-~~),
+ librust-regex-1+default-dev (>= 1.3.4-~~),
+ librust-serde-json-1+default-dev,
+ librust-sha2-0.10+default-dev (>= 0.10.2-~~),
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/World/amberol
 Vcs-Browser: https://salsa.debian.org/gnome-team/amberol
 Vcs-Git: https://salsa.debian.org/gnome-team/amberol.git

## amberol 2025.1

=== debian/changelog ===
amberol (2025.1-4) unstable; urgency=medium

  * debian: Build with gtk4-rs 0.10.
    Also drop `Rules-Requires-Root: no` from `d/control` as it's now the
    default. (Closes: #1115792)
  * d/watch: convert to version 5

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 02 Oct 2025 17:22:22 +0200

amberol (2025.1-3) unstable; urgency=medium

  * Team upload
  * Replace ashpd patch with improved version applied upstream
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Apr 2025 07:57:23 -0400

amberol (2025.1-2) unstable; urgency=medium

  * Team upload
  * Update Homepage
  * Mention GNOME Circle in package description

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 31 Mar 2025 11:11:33 -0400

amberol (2025.1-1) unstable; urgency=medium

  * New upstream release
  * Remove lofty patch: applied in new release
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 31 Mar 2025 11:09:41 -0400

amberol (2024.2-5) unstable; urgency=medium

  * Add Build-Depends: libxml2-utils for xmllint
  * Salsa CI: stop disabling reproducibility check

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Mar 2025 12:06:28 -0400

=== debian/control ===
--- 
+++ 
@@ -11,29 +11,30 @@
  libgstreamer1.0-dev (>= 1.20),
  libgstreamer-plugins-bad1.0-dev (>= 1.20),
  libgstreamer-plugins-base1.0-dev (>= 1.20),
- libgtk-4-dev (>= 4.13.4),
+ libgtk-4-dev (>= 4.16.0),
+ libxml2-utils,
  meson,
  cargo:native,
  rustc:native,
  libstd-rust-dev,
- librust-ashpd-0.11+default-dev,
- librust-ashpd-0.11+gtk4-dev,
+ librust-ashpd-0.12+async-std-dev,
+ librust-ashpd-0.12+gtk4-dev,
  librust-async-channel-2+default-dev (>= 2.2.0-~~),
  librust-color-thief-0.2+default-dev (>= 0.2.1-~~),
  librust-futures-0.3+default-dev,
  librust-fuzzy-matcher-0.3+default-dev (>= 0.3.7-~~),
- librust-gdk-pixbuf-0.20+default-dev,
- librust-gdk-pixbuf-0.20+v2-42-dev,
+ librust-gdk-pixbuf-0.21+default-dev,
+ librust-gdk-pixbuf-0.21+v2-42-dev,
  librust-gettext-rs-0.7+default-dev,
  librust-gettext-rs-0.7+gettext-system-dev,
- librust-gstreamer-0.23+default-dev,
- librust-gstreamer-audio-0.23+default-dev,
- librust-gstreamer-play-0.23+default-dev,
- librust-gtk4-0.9+default-dev,
- librust-gtk4-0.9+v4-14-dev,
- librust-libadwaita-0.7+default-dev,
- librust-libadwaita-0.7+v1-5-dev,
- librust-lofty-0.22+default-dev,
+ librust-gstreamer-0.24+default-dev,
+ librust-gstreamer-audio-0.24+default-dev,
+ librust-gstreamer-play-0.24+default-dev,
+ librust-gtk4-0.10+default-dev,
+ librust-gtk4-0.10+v4-16-dev,
+ librust-libadwaita-0.8+default-dev,
+ librust-libadwaita-0.8+v1-5-dev,
+ librust-lofty-0.22+default-dev (>= 0.22.2-~~),
  librust-log-0.4+default-dev,
  librust-mpris-server-0.8+default-dev,
  librust-once-cell-1+default-dev (>= 1.10-~~),
@@ -41,12 +42,11 @@
  librust-rand-0.8+default-dev (>= 0.8.5-~~),
  librust-regex-1+default-dev (>= 1.3.4-~~),
  librust-serde-json-1+default-dev,
- librust-sha2-0.10+default-dev (>= 0.10.2-~~),
+ librust-sha2-0.10+default-dev (>= 0.10.2-~~)
 Standards-Version: 4.7.2
-Homepage: https://gitlab.gnome.org/World/amberol
+Homepage: https://apps.gnome.org/Amberol/
 Vcs-Browser: https://salsa.debian.org/gnome-team/amberol
 Vcs-Git: https://salsa.debian.org/gnome-team/amberol.git
-Rules-Requires-Root: no
 
 Package: amberol
 Architecture: any
@@ -62,3 +62,5 @@
  .
  It is well integrated into GNOME and features an adaptive UI for use on mobile
  devices.
+ .
+ Amberol is a GNOME Circle app.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PATH := /usr/share/cargo/bin:$(PATH)

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(shell pwd)/debian/cargo_home
export CARGO_REGISTRY=$(shell pwd)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_HOST_RUST_TYPE

ifeq ($(DEB_HOST_ARCH_BITS),32)
    export DEB_BUILD_OPTIONS += optimize=-lto
endif

%:
	dh $@

execute_after_dh_auto_clean:
	$(CARGO) clean
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)

override_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f .cargo/config Cargo.lock
	dh_auto_configure -- -Dhost_arch="$(DEB_HOST_RUST_TYPE)"

=== debian/tests/control ===
Test-Command: xvfb-run /usr/bin/amberol --help
Restrictions: superficial
Depends:
 amberol,
 xauth,
 xvfb

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.gnome.org/World/@PACKAGE@
